Subject: Re: [PATCH net-next v7] selftests: net: add tests for PPP

From: Jakub Kicinski <[email-masked]>
Date: Wed, 1 Apr 2026 19:52:00 -0700

On Thu, 2 Apr 2026 10:26:11 +0800 Qingfang Deng wrote:
> Hi,
> 
> On Thu, Apr 2, 2026 at 8:56 AM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Wed, 1 Apr 2026 23:45:38 +0800 Qingfang Deng wrote:  
>  [...]  
> > >
> > > It looks like pppoe-server fails to start. You may check the syslog to
> > > see what's going on.  
> >
> > Hm, we don't capture syslog automatically :S We capture stdout and
> > stderr
> >
> > I'm not even sure there's something listening on syslog in virtme-ng
> > Is it possible to make the daemon log to stdout or a file and dump
> > that file to stdout on failure? Even if we fix the current issue
> > it will be quite inconvenient if we have to go into syslog every time
> > the test is failing. The test output should provide enough info to
> > debug failures.  
> 
> Add Cc: Dianne
> 
> I checked the man page of pppoe-server and did not find such option.
> We can instead start our own listener and redirect the syslog to a
> file or stdout:
> 
> socat -u UNIX-RECV:/dev/log,ignoreeof STDOUT &

That should work for vng, I confirmed it doesn't seem to have a syslog
socket

$ vng -r
...
$ ls /dev/log
ls: cannot access '/dev/log': No such file or directory